Selectivity {PerformanceAnalytics} | R Documentation

## Selectivity of the return distribution

### Description

Selectivity is the same as Jensen's alpha

### Usage

    Selectivity(Ra, Rb, Rf = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Details

Selectivity = r_p - r_f - beta_p * (b - r_f)

where r_f is the risk free rate, β_r is the regression beta, r_p is the portfolio return and b is the benchmark return

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.78

### Examples

    data(portfolio_bacon)
    print(Selectivity(portfolio_bacon[,1], portfolio_bacon[,2])) #expected -0.0141

    data(managers)
    print(Selectivity(managers['1996',1], managers['1996',8]))
    print(Selectivity(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]